stages:
    - build

# Build the new production docker image.
build docker:
    image: docker:stable
    stage: build
    services:
        - docker:dind
    variables:
        CONTAINER_IMAGE: registry.gitlab.com/$CI_PROJECT_PATH
        DOCKER_HOST: tcp://docker:2375
        DOCKER_DRIVER: overlay2
    script:
        - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
        - docker pull $CONTAINER_IMAGE:latest || true
        - docker build --cache-from $CONTAINER_IMAGE:latest --tag $CONTAINER_IMAGE:latest .
        - docker push $CONTAINER_IMAGE:latest
    only:
        - master
